Skip to main content
GET
Verify a license

Authorizations

Authorization
string
header
required

A team key: sk_test_ for sandbox, sk_live_ for production.

Path Parameters

key
string
required
Required string length: 1 - 100

Query Parameters

signature
string
required
Required string length: 1 - 200
use
string
Maximum string length: 120
media
string
Maximum string length: 120
territory
string
Maximum string length: 120

Response

200 - application/json

Default Response

status
enum<string>
required
Available options:
valid,
pending,
revoked,
expired,
not_found,
mismatch
key
string
required
env
enum<string>
Available options:
production,
sandbox
test
boolean
char_id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
char
object
provider
object
licensee_team_id
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
scope
object
scope_version
integer
Required range: -9007199254740991 <= x <= 9007199254740991
starts_at
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
ends_at
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
signature
string
kid
string
in_scope
boolean